<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("conexion/$VpnEn.php");

$Cve_Modulo = "CMOD201506100189";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 1 - Dashboard
		$sqlP1DB = mysql_query("select COLOR_FRONTEND from dashboard_perfiles where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlP1DB)==0) echo "";
		else{
		$registroP1DB=mysql_fetch_array($sqlP1DB);
		}
		if (mysql_numrows($sqlP1DB)>0)
		{
		$ColFront=$registroP1DB["COLOR_FRONTEND"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select TIEMPO_INACTIVIDAD,DIAS_DISPONIBLES,TITULO_PAGINA from dashboard_config where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		$DiasDisp=$registroC1["DIAS_DISPONIBLES"];
		$TituPagi=$registroC1["TITULO_PAGINA"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesionesdb where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
						
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
		///Determinar si la Licencia aán esta Vigente
			$FechaLic=date("Y/m/d"); 
			if ($DiasDisp < $FechaLic)
			{
				echo "<script>alert('ATENCIÓN:\\n\\nTe informamos que tu licencia a expirado, serás redireccionado a la pagina indicada para que puedas continuar con el proceso de Actualización.\\n\\nAgradecemos tu comprensión.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=UpdateLicense.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ///Inicia IF Vencimiento de Licencia
			
		///Fechas de Rangos
		$FechaIni=$_POST['txt_RF1'] or $FechaIni=$_GET['txt_RF1'];
		$FechaFin=$_POST['txt_RF2'] or $FechaFin=$_GET['txt_RF2'];
				
		///Guardar el Registro de la Graficación
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$FechaGen=date("Y/m/d");
		$CveRepo="12";
		$NomRepo="Fill Rate - Demanda del Surtido";
		$NivRepo="Piezas";
		$RangoRepo="Fechas";
		$AreRepo="Gestión";
		$sql_GH = mysql_query("insert into dashboard_historico (CVE_CUENTA,NOMBRE_CUENTA,CVE_REPORTE,NOMBRE_REPORTE,NIVEL,RANGO,SELECION_RANGO,AREA,USUARIO,FECHA,HORA)
			      values('$CveCueCR1','$CtaSesionEn','$CveRepo','$NomRepo','$NivRepo','$RangoRepo','N/A','$AreRepo','$UsuEn','$FechaGen','$HoraOK')");
		///$resultado_GH=mysql_query($sql_GH,$conexion) or die(mysql_error());		

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

<!DOCTYPE HTML>
<html>
	<head>
    	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
		<title>Highcharts Example</title>

		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
		<style type="text/css">
${demo.css}
		</style>
		<script type="text/javascript">
$(function () {

    $('#container').highcharts({
		
		credits: {
            enabled: false
        },

        chart: {
            type: 'gauge',
            plotBackgroundColor: null,
            plotBackgroundImage: null,
            plotBorderWidth: 0,
            plotShadow: false
        },

        title: {
            text: 'Fill Rate - Demanda de Surtido'
        },

        pane: {
            startAngle: -150,
            endAngle: 150,
            background: [{
                backgroundColor: {
                    linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                    stops: [
                        [0, '#FFF'],
                        [1, '#333']
                    ]
                },
                borderWidth: 0,
                outerRadius: '109%'
            }, {
                backgroundColor: {
                    linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                    stops: [
                        [0, '#333'],
                        [1, '#FFF']
                    ]
                },
                borderWidth: 1,
                outerRadius: '107%'
            }, {
                // default background
            }, {
                backgroundColor: '#DDD',
                borderWidth: 0,
                outerRadius: '105%',
                innerRadius: '103%'
            }]
        },

        // the value axis
        yAxis: {
            min: 0,
            max: 100,

            minorTickInterval: 'auto',
            minorTickWidth: 1,
            minorTickLength: 10,
            minorTickPosition: 'inside',
            minorTickColor: '#666',

            tickPixelInterval: 30,
            tickWidth: 2,
            tickPosition: 'inside',
            tickLength: 10,
            tickColor: '#666',
            labels: {
                step: 2,
                rotation: 'auto'
            },
            title: {
                text: 'Porcetaje (%)'
            },
            plotBands: [{
                from: 0,
                to: 40,
                color: '#DF5353' // red
            }, {
                from: 40,
                to: 70,
                color: '#DDDF0D' // yellow
            }, {
                from: 70,
                to: 100,
                color: '#55BF3B' // green
            }]
        },

        series: [{
            name: 'Cumplimiento',
            data: [
					<?PHP
						///Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");

						$Fe_QuintaSemana = date('Y/m/d', strtotime('-5 week')) ; // resta 1 semana
						
						////Calcular Recibo de Semana 4
						$sql_FR = mysql_query("SELECT SUM( tabla_kardex.PIEZAS ) AS Pzas_Surtidas,(SELECT SUM(CANT_X_SURTIR) FROM  `tabla_detalledocsur`  WHERE CVE_CUENTA='$CveCueCR1' AND FECHA Between '$FechaIni' AND '$FechaFin')  As PzasX_Surtir FROM tabla_docsurtido INNER JOIN tabla_kardex ON ( tabla_kardex.no_documento = tabla_docsurtido.no_documento )  WHERE tabla_docsurtido.EDO_DOCUMENTO =  'CERRADO' AND tabla_docsurtido.CVE_CUENTA='$CveCueCR1' AND FECHA_CIERRE Between '$FechaIni' AND '$FechaFin'");
						if (mysql_numrows($sql_FR)==0) echo "";
						else{
						$registro_FR=mysql_fetch_array($sql_FR);
						}
						if (mysql_numrows($sql_FR)>0)
						{
						$PzasSurtidas_FR=$registro_FR["Pzas_Surtidas"];
						$PzasX_Surtir_FR=$registro_FR["PzasX_Surtir"];
						}
	
						if ($PzasSurtidas_FR == "")
							{
								$PzasSurtidas_FR="0";
							}
						if ($PzasX_Surtir_FR == "")
							{
								$PzasX_Surtir_FR="0";
							}
							
							$PreFillRate = -($PzasSurtidas_FR) * 100 / $PzasX_Surtir_FR;
							$FillRate = round($PreFillRate, 2);
							
							echo $FillRate.",";
					?>
				  ],
            tooltip: {
                valueSuffix: ' %'
            }
        }]

    },
        // Add some life
        function (chart) {
            if (!chart.renderer.forExport) {
                setInterval(function () {
                    var point = chart.series[0].points[0],
                        newVal,
                        inc = Math.round((Math.random() - 0.5) * 20);

                    newVal = point.y + inc;
                    if (newVal < 0 || newVal > 200) {
                        newVal = point.y - inc;
                    }

                    //point.update(newVal);

                }, 3000);
            }
        });
});
		</script>
	</head>
	<body>

<script src="Highcharts-4.1.5/js/highcharts.js"></script>
<script src="Highcharts-4.1.5/js/highcharts-more.js"></script>
<script src="Highcharts-4.1.5/js/modules/exporting.js"></script>

<div id="container" style="min-width: 310px; height: 400px; max-width: 600px; margin: 0 auto"></div>
	</body>
</html>

<?PHP

///Eliminar los Registros Temporales
	$sqlEU= mysql_query("DELETE FROM dashboard_kpi10 WHERE USUARIO_GEN='$UsuEn'");
	///$resultadoEU=mysql_query($sqlEU,$conexion) or die(mysql_error());

} ///Termina IF Vencimiento de Licencia
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
